## and 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: and
 Title: Construct Natural-Language Lists with Internationalization
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: c(
     person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0001-9412-0457")),
@@ -21,10 +21,10 @@
 LazyData: true
 RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2022-07-16 18:57:22 UTC; alex
+Packaged: 2022-08-17 17:04:06 UTC; alex
 Author: Alexander Rossell Hayes [aut, cre, cph]
     (<https://orcid.org/0000-0001-9412-0457>),
   Unicode, Inc. [dtc] (Language data)
 Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
 Repository: CRAN
-Date/Publication: 2022-07-18 08:30:05 UTC
+Date/Publication: 2022-08-17 17:50:02 UTC
