## and 0.1.3

=== DESCRIPTION ===
Package: and
Title: Construct Natural-Language Lists with Internationalization
Version: 0.1.3
Authors@R: c(
    person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0001-9412-0457")),
    person(, "Unicode, Inc.", role = "dtc",
           comment = "Language data")
  )
Description: Construct language-aware lists. Make "and"-separated and
    "or"-separated lists that automatically conform to the user's language
    settings.
License: MIT + file LICENSE
URL: https://and.rossellhayes.com, https://github.com/rossellhayes/and
BugReports: https://github.com/rossellhayes/and/issues
Depends: R (>= 2.10)
Imports: glue, rlang (>= 1.0.0)
Suggests: covr, knitr, mockery, stringi, testthat (>= 3.0.0), withr
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-10-20 23:19:11 UTC; alex
Author: Alexander Rossell Hayes [aut, cre, cph]
    (<https://orcid.org/0000-0001-9412-0457>),
  Unicode, Inc. [dtc] (Language data)
Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
Repository: CRAN
Date/Publication: 2022-10-20 23:55:06 UTC
