## and 0.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: and
 Title: Construct Natural-Language Lists with Internationalization
-Version: 0.1.3
+Version: 0.1.4
 Authors@R: c(
     person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0001-9412-0457")),
@@ -19,12 +19,12 @@
 Config/testthat/edition: 3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-10-20 23:19:11 UTC; alex
+Packaged: 2023-06-13 21:56:53 UTC; alex
 Author: Alexander Rossell Hayes [aut, cre, cph]
     (<https://orcid.org/0000-0001-9412-0457>),
   Unicode, Inc. [dtc] (Language data)
 Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
 Repository: CRAN
-Date/Publication: 2022-10-20 23:55:06 UTC
+Date/Publication: 2023-06-14 03:00:07 UTC
