## and 0.1.5

=== DESCRIPTION ===
Package: and
Title: Construct Natural-Language Lists with Internationalization
Version: 0.1.5
Authors@R: c(
    person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0001-9412-0457")),
    person(, "Unicode, Inc.", role = "dtc",
           comment = "Language data"),
    person("Flavia", "Rossell Hayes", role = "ill")
  )
Description: Construct language-aware lists. Make "and"-separated and
    "or"-separated lists that automatically conform to the user's language
    settings.
License: MIT + file LICENSE
URL: https://pkg.rossellhayes.com/and/,
        https://github.com/rossellhayes/and
BugReports: https://github.com/rossellhayes/and/issues
Depends: R (>= 2.10)
Imports: glue, rlang (>= 1.0.0)
Suggests: covr, knitr, mockery, stringi, testthat (>= 3.0.0), withr
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-09-24 03:59:38 UTC; alex
Author: Alexander Rossell Hayes [aut, cre, cph]
    (<https://orcid.org/0000-0001-9412-0457>),
  Unicode, Inc. [dtc] (Language data),
  Flavia Rossell Hayes [ill]
Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
Repository: CRAN
Date/Publication: 2023-09-24 04:40:02 UTC
