## and 0.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: and
 Title: Construct Natural-Language Lists with Internationalization
-Version: 0.1.5
+Version: 0.1.6
 Authors@R: c(
     person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0001-9412-0457")),
@@ -15,19 +15,19 @@
 URL: https://pkg.rossellhayes.com/and/,
         https://github.com/rossellhayes/and
 BugReports: https://github.com/rossellhayes/and/issues
-Depends: R (>= 2.10)
+Depends: R (>= 3.5)
 Imports: glue, rlang (>= 1.0.0)
 Suggests: covr, knitr, mockery, stringi, testthat (>= 3.0.0), withr
 Config/testthat/edition: 3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2023-09-24 03:59:38 UTC; alex
+Packaged: 2025-02-25 21:19:28 UTC; alex
 Author: Alexander Rossell Hayes [aut, cre, cph]
     (<https://orcid.org/0000-0001-9412-0457>),
   Unicode, Inc. [dtc] (Language data),
   Flavia Rossell Hayes [ill]
 Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
 Repository: CRAN
-Date/Publication: 2023-09-24 04:40:02 UTC
+Date/Publication: 2025-02-25 21:50:05 UTC
