## and 0.1.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: and
 Title: Construct Natural-Language Lists with Internationalization
-Version: 0.1.6
+Version: 0.1.7
 Authors@R: c(
     person("Alexander", "Rossell Hayes", , "alexander@rossellhayes.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0001-9412-0457")),
@@ -21,13 +21,13 @@
 Config/testthat/edition: 3
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2025-02-25 21:19:28 UTC; alex
-Author: Alexander Rossell Hayes [aut, cre, cph]
-    (<https://orcid.org/0000-0001-9412-0457>),
+Packaged: 2025-12-01 03:11:56 UTC; alex
+Author: Alexander Rossell Hayes [aut, cre, cph] (ORCID:
+    <https://orcid.org/0000-0001-9412-0457>),
   Unicode, Inc. [dtc] (Language data),
   Flavia Rossell Hayes [ill]
 Maintainer: Alexander Rossell Hayes <alexander@rossellhayes.com>
 Repository: CRAN
-Date/Publication: 2025-02-25 21:50:05 UTC
+Date/Publication: 2025-12-01 08:40:02 UTC
