=== debian/changelog ===
and (1.0.7-1) unstable; urgency=low

  * New upstream version.
  * Removed nicelevel setting from the init script. It seems to be broken
    and it's the only obstacle of using the package on potato out of the
    box (Closes: #142398).

 -- Andras Bali <bali@debian.org>  Sat, 13 Apr 2002 19:53:37 +0200

and (1.0.5-1) unstable; urgency=high

  * New upstream version (fixes format string vulnerability).
  * Added gtop to default config file (Closes: #111043).

 -- Andras Bali <bali@debian.org>  Sat, 24 Nov 2001 00:39:01 +0100

and (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #101343).

 -- Andras Bali <bali@debian.org>  Sun, 17 Jun 2001 20:41:40 +0200

Local variables:
mode: debian-changelog
End:
