=== debian/rules ===
#!/usr/bin/make -f

# debian/rules for and
# GNU copyright 1997 to 1999 by Joey Hess.
# modified by Andras Bali <bali@debian.org>

export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) INSTALL_ETC=/etc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install INSTALL_SBIN=$(CURDIR)/debian/and/usr/sbin \
			INSTALL_ETC=$(CURDIR)/debian/and/etc/ \
			INSTALL_MAN=$(CURDIR)/debian/and/usr/share/man \
			INSTALL_INITD=$(CURDIR)

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installinit
	dh_installchangelogs CHANGELOG
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
