## and 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for auto nice daemon
 #
-# 1999, 2000, 2001, 2002 Patrick Schemitz <schemitz@users.sourceforge.net>
+# 1999-2004 Patrick Schemitz <schemitz@users.sourceforge.net>
 # http://and.sourceforge.net/
 #
 
@@ -78,8 +78,8 @@
 #
 # Version and date
 #
-VERSION=1.0.7
-DATE="27 Jan 2002"
+VERSION=1.2.0
+DATE="10 Apr 2004"
 
 #
 # Man pages
@@ -95,7 +95,7 @@
 # Architecture-dependent settings: ANSI C compiler and linker
 #
 ifeq (${ARCH},Linux)
-  CC = gcc -ansi -pedantic -Wall
+  CC = gcc -ansi -pedantic -Wall -g
   LD = gcc
   LIBS =
 else
