## and 1.2.1

=== Makefile ===
--- 
+++ 
@@ -78,8 +78,8 @@
 #
 # Version and date
 #
-VERSION=1.2.0
-DATE="10 Apr 2004"
+VERSION=1.2.1
+DATE="09 Sep 2004"
 
 #
 # Man pages
