## and 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for auto nice daemon
 #
-# 1999-2004 Patrick Schemitz <schemitz@users.sourceforge.net>
+# 1999-2005 Patrick Schemitz <schemitz@users.sourceforge.net>
 # http://and.sourceforge.net/
 #
 
@@ -78,8 +78,8 @@
 #
 # Version and date
 #
-VERSION=1.2.1
-DATE="09 Sep 2004"
+VERSION=1.2.2
+DATE="27 Mar 2005"
 
 #
 # Man pages
