=== debian/changelog ===
and (1.2.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism in init file (Closes: #580014). Thanks to Jon Daley
    <jondaley@kumquat.limedaley.com> for the patch.

 -- Serafeim Zanikolas <sez@debian.org>  Thu, 13 May 2010 15:53:26 +0200

and (1.2.2-4) unstable; urgency=low

  * Intend to adopt and. (Closes: #562220) 
  * debian/control:
    - Maintainer address changed.
    - Added dependency on ${misc:Depends} 
    - Debhelper upgraded to (>= 7.0.50~) to allow "override_dh_" in
      debian/rules
  * debian/rules: Replaced by the 'magic' rules file
  * Package migrated to 3.0 (quilt) format
  * Direct changes on upstream sources were extracted into patches.
    The extraction produced the following patches:
    + 000_and.8.man.diff
    + 000_and.c.diff
    + 000_and.conf.5.man.diff
    + 000_and-GNU.c.diff
    + 000_and.priorities.5.man.diff
    + 000_highpriostart.c.diff
    + 000_Makefile.diff
    + 000_watch.diff
  * Patch 000_watch.diff dropped.
  * Added headers to all extracted patches.
  * Added patch 000_and+kbsd.diff to fix FTBFS on GNU/kFreeBSD
    Thanks to Cyril Brulebois (Closes: #562295)
  * debian/copyright: Migrated to DEP-5 format.
  * debian/and.init.d: Written from scratch. (Closes: #367997)

 -- Dario Minnucci <midget@debian.org>  Mon, 25 Jan 2010 03:28:06 +0100

and (1.2.2-3) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * Add Homepage field.
  * Update watch file to use SF redirector. (Closes: #449941).
  * Add -f support to run in foreground (Closes: #372746).
    + Thanks to Andras Korn for the patch!
  * Add support to build on GNU/Hurd. (Closes: #532698).
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 23 Dec 2009 16:47:24 -0500

and (1.2.2-2.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #460052).
  * Really acknowledge NMU (Closes: #375163).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Mar 2008 09:19:35 +0100

and (1.2.2-2) unstable; urgency=high

  * Acknowledge NMU (thanks to Steinar H. Gunderson)
  * Disable unconditional stripping of binaries to allow use of
    DEB_BUILD_OPTIONS=nostrip (Closes: #436457)
  * Some cleanup to make lintian happier

 -- Jerome Warnier <jwarnier@beeznest.net>  Mon, 13 Aug 2007 20:45:27 +0200

and (1.2.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add --oknodo to start-stop-daemon in the stop target in the init script;
    fixes error on package removal when the daemon is stopped.
    (Closes: #373651)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 23 Jun 2006 23:25:49 +0200

and (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Fix watch file (I hate how SourceForge does it!)
  * Fix typo in manpages (Closes: #310360)
  * Add highpriostart.c as example (Closes: #363065)
  * Fix initscript to stop it using erroneous pid file (Closes: #360713)
  * Fix manpages minus ("-") not escaped.
  * Fixed the debian/copyright file. Many thanks to Guilherme de S. Pastore
    <gpastore@debian.org> for this and more.

 -- Jerome Warnier <jwarnier@beeznest.net>  Thu, 13 Oct 2005 19:11:27 +0200

and (1.2.1-2) unstable; urgency=low

  * Fix "defaultnice" in manpage (Closes: #272782).

 -- Jerome Warnier <jwarnier@beeznest.net>  Mon, 25 Oct 2004 11:40:27 +0200

and (1.2.1-1) unstable; urgency=low

  * New upstream version (Closes: #197010).

 -- Jerome Warnier <jwarnier@beeznest.net>  Fri, 10 Sep 2004 22:47:27 +0200

and (1.2.0-1) unstable; urgency=low

  * New upstream version.
  * Added watch file.
  * New maintainer with permission from Andras

 -- Jerome Warnier <jwarnier@beeznest.net>  Mon, 19 Jul 2004 14:51:37 +0200

and (1.0.9-1) unstable; urgency=low

  * New upstream version (Closes: #154147, #230777).

 -- Jerome Warnier <jwarnier@beeznest.net>  Sun, 02 Feb 2004 19:53:37 +0200
