=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: and
 Section: misc
 Priority: extra
-Maintainer: Andras Bali <bali@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Maintainer: Dario Minnucci <midget@debian.org>
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.8.3
+Homepage: http://and.sourceforge.net/
 
 Package: and
 Architecture: any
-Pre-Depends: dpkg (>= 1.8.0)
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Auto Nice Daemon
  The auto nice daemon activates itself in certain intervals and renices jobs
  according to their priority and CPU usage. Jobs owned by root are left alone.
