=== debian/watch ===
version=3
http://sf.net/and/and-([\d.]+)\.tar\.gz
